Your SlideShare is downloading. ×
0
freeCAD                        Installation                           freeCAD                     pyhton scripts          ...
freeCAD                                    Installation                                       freeCAD                     ...
freeCAD                                    Installation                                       freeCAD                     ...
freeCAD                                    Installation                                       freeCAD                     ...
freeCAD                                    Installation                                       freeCAD                     ...
freeCAD                                    Installation                                       freeCAD                     ...
freeCAD                                  Installation                                     freeCAD                         ...
freeCAD                        Installation                           freeCAD                     pyhton scripts          ...
freeCAD                                   Installation                                      freeCAD                       ...
freeCAD                                    Installation                                       freeCAD                     ...
freeCAD                                    Installation                                       freeCAD                     ...
freeCAD                                    Installation                                       freeCAD                     ...
freeCAD                                    Installation                                       freeCAD                     ...
freeCAD                                    Installation                                       freeCAD                     ...
freeCAD                                    Installation                                       freeCAD                     ...
freeCAD                                    Installation                                       freeCAD                     ...
line script                                                 circle script                                     freeCAD     ...
line script                                       circle script                           freeCAD                         ...
line script                                                 circle script                                     freeCAD     ...
line script                                       circle script                           freeCAD                         ...
line script                                                 circle script                                     freeCAD     ...
line script                                       circle script                           freeCAD                         ...
line script                                                 circle script                                     freeCAD     ...
line script                                       circle script                           freeCAD                         ...
line script                                                 circle script                                     freeCAD     ...
line script                                                 circle script                                     freeCAD     ...
line script                                           circle script                               freeCAD                 ...
line script                                                   circle script                                       freeCAD ...
line script                                                   circle script                                       freeCAD ...
line script                                       circle script                           freeCAD                         ...
line script                                                 circle script                                     freeCAD     ...
line script                                       circle script                           freeCAD                         ...
line script                                                 circle script                                     freeCAD     ...
line script                                       circle script                           freeCAD                         ...
freeCAD     How to show object in drawing sheet                                    Installation    Drawing sheet of object...
freeCAD     How to show object in drawing sheet                                    Installation    Drawing sheet of object...
freeCAD     How to show object in drawing sheet                                    Installation    Drawing sheet of object...
freeCAD     How to show object in drawing sheet                                    Installation    Drawing sheet of object...
freeCAD     How to show object in drawing sheet                                    Installation    Drawing sheet of object...
freeCAD     How to show object in drawing sheet                                    Installation    Drawing sheet of object...
freeCAD     How to show object in drawing sheet                                    Installation    Drawing sheet of object...
freeCAD     How to show object in drawing sheet                        Installation    Drawing sheet of object            ...
freeCAD     How to show object in drawing sheet                        Installation    Drawing sheet of object            ...
freeCAD     How to show object in drawing sheet                        Installation    Drawing sheet of object            ...
freeCAD     How to show object in drawing sheet                        Installation    Drawing sheet of object            ...
freeCAD     How to show object in drawing sheet                                 Installation    Drawing sheet of object   ...
Upcoming SlideShare
Loading in...5
×

6 week training presentation

373

Published on

This presenation on my project freeCAD

Published in: Technology, Education
0 Comments
1 Like
Statistics
Notes
  • Be the first to comment

No Downloads
Views
Total Views
373
On Slideshare
0
From Embeds
0
Number of Embeds
0
Actions
Shares
0
Downloads
15
Comments
0
Likes
1
Embeds 0
No embeds

No notes for slide

Transcript of "6 week training presentation"

  1. 1. freeCAD Installation freeCAD pyhton scripts Drawing sheet freeCAD open source CAD Diljot kaur diljot6791@gmail.com Dept. of Computer Science October 16, 2011Guru Nanak Dev Engineering College diljot6791@wordpress.com
  2. 2. freeCAD Installation freeCAD pyhton scripts Drawing sheetContents 1 freeCAD 2 Installation 3 freeCAD 4 pyhton scripts line script circle script cube script cylinder script fusion script using macro fusion script bottle script 5 Drawing sheet How to show object in drawing sheet Drawing sheet of object Guru Nanak Dev Engineering College diljot6791@wordpress.com
  3. 3. freeCAD Installation freeCAD pyhton scripts Drawing sheetContents 1 freeCAD 2 Installation 3 freeCAD 4 pyhton scripts line script circle script cube script cylinder script fusion script using macro fusion script bottle script 5 Drawing sheet How to show object in drawing sheet Drawing sheet of object Guru Nanak Dev Engineering College diljot6791@wordpress.com
  4. 4. freeCAD Installation freeCAD pyhton scripts Drawing sheetContents 1 freeCAD 2 Installation 3 freeCAD 4 pyhton scripts line script circle script cube script cylinder script fusion script using macro fusion script bottle script 5 Drawing sheet How to show object in drawing sheet Drawing sheet of object Guru Nanak Dev Engineering College diljot6791@wordpress.com
  5. 5. freeCAD Installation freeCAD pyhton scripts Drawing sheetContents 1 freeCAD 2 Installation 3 freeCAD 4 pyhton scripts line script circle script cube script cylinder script fusion script using macro fusion script bottle script 5 Drawing sheet How to show object in drawing sheet Drawing sheet of object Guru Nanak Dev Engineering College diljot6791@wordpress.com
  6. 6. freeCAD Installation freeCAD pyhton scripts Drawing sheetContents 1 freeCAD 2 Installation 3 freeCAD 4 pyhton scripts line script circle script cube script cylinder script fusion script using macro fusion script bottle script 5 Drawing sheet How to show object in drawing sheet Drawing sheet of object Guru Nanak Dev Engineering College diljot6791@wordpress.com
  7. 7. freeCAD Installation freeCAD pyhton scripts Drawing sheetIntroduction Introduction FreeCAD is a general purpose Open Source 3D CAD modeler, aimed directly at mechanical engineering and product design but also fits in a wider range of uses around engineering, such as architecture or other engineering specialties. It is a feature-based parametric modeler with a modular software architecture which makes it easy to provide additional functionality without modifying the core system. Guru Nanak Dev Engineering College diljot6791@wordpress.com
  8. 8. freeCAD Installation freeCAD pyhton scripts Drawing sheet Figure: Freecad softwareGuru Nanak Dev Engineering College diljot6791@wordpress.com
  9. 9. freeCAD Installation freeCAD pyhton scripts Drawing sheetInstallation Installation of freeCAD software Download the package freeCAD software from the following link: https://sourceforge.net/projects/free-cad/ Guru Nanak Dev Engineering College diljot6791@wordpress.com
  10. 10. freeCAD Installation freeCAD pyhton scripts Drawing sheetFeatures 1 FreeCAD is multi-platform. It runs and behaves exactly the same way on Windows Linux and Mac OSX platforms. 2 FreeCAD also runs as a command line application, with low memory footprint. In command line mode, FreeCAD runs without its interface, but with all its geometry tools. It can be, for example, used as server to produce content for other applications. 3 FreeCAD can be imported as a Python module, inside other applications that can run python scripts, or in a python console. Guru Nanak Dev Engineering College diljot6791@wordpress.com
  11. 11. freeCAD Installation freeCAD pyhton scripts Drawing sheetFeatures 1 FreeCAD is multi-platform. It runs and behaves exactly the same way on Windows Linux and Mac OSX platforms. 2 FreeCAD also runs as a command line application, with low memory footprint. In command line mode, FreeCAD runs without its interface, but with all its geometry tools. It can be, for example, used as server to produce content for other applications. 3 FreeCAD can be imported as a Python module, inside other applications that can run python scripts, or in a python console. Guru Nanak Dev Engineering College diljot6791@wordpress.com
  12. 12. freeCAD Installation freeCAD pyhton scripts Drawing sheetFeatures 1 FreeCAD is multi-platform. It runs and behaves exactly the same way on Windows Linux and Mac OSX platforms. 2 FreeCAD also runs as a command line application, with low memory footprint. In command line mode, FreeCAD runs without its interface, but with all its geometry tools. It can be, for example, used as server to produce content for other applications. 3 FreeCAD can be imported as a Python module, inside other applications that can run python scripts, or in a python console. Guru Nanak Dev Engineering College diljot6791@wordpress.com
  13. 13. freeCAD Installation freeCAD pyhton scripts Drawing sheetFeatures 1 FreeCAD is multi-platform. It runs and behaves exactly the same way on Windows Linux and Mac OSX platforms. 2 FreeCAD also runs as a command line application, with low memory footprint. In command line mode, FreeCAD runs without its interface, but with all its geometry tools. It can be, for example, used as server to produce content for other applications. 3 FreeCAD can be imported as a Python module, inside other applications that can run python scripts, or in a python console. Guru Nanak Dev Engineering College diljot6791@wordpress.com
  14. 14. freeCAD Installation freeCAD pyhton scripts Drawing sheetFeatures 4 Built-in scripting framework: FreeCAD features a built-in Python interpreter, and an API that covers almost any part of the application, the interface, the geometry and the representation of this geometry in the 3D viewer. The interpreter can run single commands up to complex scripts, in fact entire modules can even be programmed completely in Python. 5 a modular MSI installer allows flexible installations on Windows systems. Packages for Ubuntu systems are also maintained. Guru Nanak Dev Engineering College diljot6791@wordpress.com
  15. 15. freeCAD Installation freeCAD pyhton scripts Drawing sheetFeatures 4 Built-in scripting framework: FreeCAD features a built-in Python interpreter, and an API that covers almost any part of the application, the interface, the geometry and the representation of this geometry in the 3D viewer. The interpreter can run single commands up to complex scripts, in fact entire modules can even be programmed completely in Python. 5 a modular MSI installer allows flexible installations on Windows systems. Packages for Ubuntu systems are also maintained. Guru Nanak Dev Engineering College diljot6791@wordpress.com
  16. 16. freeCAD Installation freeCAD pyhton scripts Drawing sheetFeatures 4 Built-in scripting framework: FreeCAD features a built-in Python interpreter, and an API that covers almost any part of the application, the interface, the geometry and the representation of this geometry in the 3D viewer. The interpreter can run single commands up to complex scripts, in fact entire modules can even be programmed completely in Python. 5 a modular MSI installer allows flexible installations on Windows systems. Packages for Ubuntu systems are also maintained. Guru Nanak Dev Engineering College diljot6791@wordpress.com
  17. 17. line script circle script freeCAD cube script Installation cylinder script freeCAD fusion script using macro pyhton scripts Drawing sheet fusion script bottle scriptPython script in freeCAD line script import Part,PartGui doc=App.newDocument() l=Part.Line() l.StartPoint=(0.0,0.0,0.0) l.EndPoint=(1.0,1.0,1.0) doc.addObject("Part::Feature","Line"). Shape=l.toShape() doc.recompute() Guru Nanak Dev Engineering College diljot6791@wordpress.com
  18. 18. line script circle script freeCAD cube script Installation cylinder script freeCAD fusion script using macro pyhton scripts Drawing sheet fusion script bottle script Figure: image of lineGuru Nanak Dev Engineering College diljot6791@wordpress.com
  19. 19. line script circle script freeCAD cube script Installation cylinder script freeCAD fusion script using macro pyhton scripts Drawing sheet fusion script bottle scriptPython script in freeCAD circle script import Part,PartGui doc=App.newDocument() c=Part.Circle() c.Radius=10.0 f=doc.addObject("Part::Feature", "Circle"). Shape=c.toShape() doc.recompute() Guru Nanak Dev Engineering College diljot6791@wordpress.com
  20. 20. line script circle script freeCAD cube script Installation cylinder script freeCAD fusion script using macro pyhton scripts Drawing sheet fusion script bottle script Figure: image of circleGuru Nanak Dev Engineering College diljot6791@wordpress.com
  21. 21. line script circle script freeCAD cube script Installation cylinder script freeCAD fusion script using macro pyhton scripts Drawing sheet fusion script bottle scriptPython script in freeCAD cube script import Part,PartGui doc=App.newDocument() App.ActiveDocument.addObject("Part::Box", "Box") App.ActiveDocument.Box.Length=10.00 App.ActiveDocument.Box.Width=10.00 App.ActiveDocument.Box.Height=10.00 doc.recompute() Guru Nanak Dev Engineering College diljot6791@wordpress.com
  22. 22. line script circle script freeCAD cube script Installation cylinder script freeCAD fusion script using macro pyhton scripts Drawing sheet fusion script bottle script Figure: image of cubeGuru Nanak Dev Engineering College diljot6791@wordpress.com
  23. 23. line script circle script freeCAD cube script Installation cylinder script freeCAD fusion script using macro pyhton scripts Drawing sheet fusion script bottle scriptPython script in freeCAD cylinder script import Part,PartGui doc=App.newDocument() App.ActiveDocument.addObject("Part::Cylinder", "Cylinder") App.ActiveDocument.Cylinder.Radius=80.00 App.ActiveDocument.Cylinder.Height=100.00 App.ActiveDocument.Cylinder.Angle=360.00 doc.recompute() Guru Nanak Dev Engineering College diljot6791@wordpress.com
  24. 24. line script circle script freeCAD cube script Installation cylinder script freeCAD fusion script using macro pyhton scripts Drawing sheet fusion script bottle script Figure: image of cylinderGuru Nanak Dev Engineering College diljot6791@wordpress.com
  25. 25. line script circle script freeCAD cube script Installation cylinder script freeCAD fusion script using macro pyhton scripts Drawing sheet fusion script bottle scriptPython script in freeCAD fusion script using macro import Part,PartGui doc=App.newDocument() # Create three boxes and a cylinder App.ActiveDocument.addObject("Part::Box","Box") App.ActiveDocument.Box.Length=100.00 App.ActiveDocument.Box.Width=100.00 App.ActiveDocument.Box.Height=100.00 App.ActiveDocument.addObject("Part::Box","Box1") App.ActiveDocument.Box1.Length=90.00 App.ActiveDocument.Box1.Width=40.00 App.ActiveDocument.Box1.Height=100.00 Guru Nanak Dev Engineering College diljot6791@wordpress.com
  26. 26. line script circle script freeCAD cube script Installation cylinder script freeCAD fusion script using macro pyhton scripts Drawing sheet fusion script bottle scriptPython script in freeCAD fusion script using macro App.ActiveDocument.addObject("Part::Box","Box2") App.ActiveDocument.Box2.Length=20.00 App.ActiveDocument.Box2.Width=85.00 App.ActiveDocument.Box2.Height=100.00 App.ActiveDocument.addObject("Part::Cylinder", "Cylinder") App.ActiveDocument.Cylinder.Radius=80.00 App.ActiveDocument.Cylinder.Height=100.00 App.ActiveDocument.Cylinder.Angle=360.00 Guru Nanak Dev Engineering College diljot6791@wordpress.com
  27. 27. line script circle script freeCAD cube script Installation cylinder script freeCAD fusion script using macro pyhton scripts Drawing sheet fusion script bottle scriptPython script in freeCAD fusion script using macro # Fuse two boxes and the cylinder App.activeDocument().addObject("Part::Fuse", "Fusion") App.activeDocument().Fusion.Base = App. activeDocument().Cylinder App.activeDocument().Fusion.Tool = App. activeDocument().Box1 App.activeDocument().addObject("Part::Fuse","Fusion1") App.activeDocument().Fusion1.Base = App.activeDocument().Box2 App.activeDocument().Fusion1.Tool = Guru Nanak Dev Engineering College diljot6791@wordpress.com
  28. 28. line script circle script freeCAD cube script Installation cylinder script freeCAD fusion script using macro pyhton scripts Drawing sheet fusion script bottle scriptPython script in freeCAD fusion script using macro # Cut the fused shapes from the first box App.activeDocument().addObject("Part::Cut","Shape") App.activeDocument().Shape.Base = App.activeDocument().Box App.activeDocument().Shape.Tool = App.activeDocument().Fusion1 Guru Nanak Dev Engineering College diljot6791@wordpress.com
  29. 29. line script circle script freeCAD cube script Installation cylinder script freeCAD fusion script using macro pyhton scripts Drawing sheet fusion script bottle scriptPython script in freeCAD fusion script using macro # Hide all the intermediate shapes Gui.activeDocument().Box.Visibility=False Gui.activeDocument().Box1.Visibility=False Gui.activeDocument().Box2.Visibility=False Gui.activeDocument().Cylinder.Visibility=False Gui.activeDocument().Fusion.Visibility=False Gui.activeDocument().Fusion1.Visibility=False doc.recompute() Guru Nanak Dev Engineering College diljot6791@wordpress.com
  30. 30. line script circle script freeCAD cube script Installation cylinder script freeCAD fusion script using macro pyhton scripts Drawing sheet fusion script bottle script Figure: image of lineGuru Nanak Dev Engineering College diljot6791@wordpress.com
  31. 31. line script circle script freeCAD cube script Installation cylinder script freeCAD fusion script using macro pyhton scripts Drawing sheet fusion script bottle scriptPython script in freeCAD fusion script import Part,PartGui doc=App.newDocument() Part.show(Part.makeBox(100,100,100).cut(Part. makeCylinder(80,100)).cut(Part.makeBox(90,40,100)). cut(Part.makeBox(20,85,100))) Shape = App.ActiveDocument.Shape.Shape print "visible edges:", len(visibleG0.Edges) doc.recompute() Guru Nanak Dev Engineering College diljot6791@wordpress.com
  32. 32. line script circle script freeCAD cube script Installation cylinder script freeCAD fusion script using macro pyhton scripts Drawing sheet fusion script bottle script Figure: image of objectGuru Nanak Dev Engineering College diljot6791@wordpress.com
  33. 33. line script circle script freeCAD cube script Installation cylinder script freeCAD fusion script using macro pyhton scripts Drawing sheet fusion script bottle scriptPython script in freeCAD bottle script import Part import MakeBottle bottle = MakeBottle.makeBottle() Part.show(bottle) Guru Nanak Dev Engineering College diljot6791@wordpress.com
  34. 34. line script circle script freeCAD cube script Installation cylinder script freeCAD fusion script using macro pyhton scripts Drawing sheet fusion script bottle script Figure: image of bottleGuru Nanak Dev Engineering College diljot6791@wordpress.com
  35. 35. freeCAD How to show object in drawing sheet Installation Drawing sheet of object freeCAD Drawing sheet of bottle pyhton scripts Drawing sheet of table Drawing sheet python script to change 3D object to 2D on DrawingHow to show object in drawing sheet in freeCAD Drawing sheet 1 Firsty, to show the drawing view open the script in freeCAD and run it. 2 Go to view > workbench > Drawing. This will open the drawing sheet. 3 Now, select the object click on insert button to insert the drawing view of object. This will insert the page of drawing sheet. Select the object and click on button and this will insert the part object in the drawing view. Now click on view to insert the the object in drawing sheet. Guru Nanak Dev Engineering College diljot6791@wordpress.com
  36. 36. freeCAD How to show object in drawing sheet Installation Drawing sheet of object freeCAD Drawing sheet of bottle pyhton scripts Drawing sheet of table Drawing sheet python script to change 3D object to 2D on DrawingHow to show object in drawing sheet in freeCAD Drawing sheet 1 Firsty, to show the drawing view open the script in freeCAD and run it. 2 Go to view > workbench > Drawing. This will open the drawing sheet. 3 Now, select the object click on insert button to insert the drawing view of object. This will insert the page of drawing sheet. Select the object and click on button and this will insert the part object in the drawing view. Now click on view to insert the the object in drawing sheet. Guru Nanak Dev Engineering College diljot6791@wordpress.com
  37. 37. freeCAD How to show object in drawing sheet Installation Drawing sheet of object freeCAD Drawing sheet of bottle pyhton scripts Drawing sheet of table Drawing sheet python script to change 3D object to 2D on DrawingHow to show object in drawing sheet in freeCAD Drawing sheet 1 Firsty, to show the drawing view open the script in freeCAD and run it. 2 Go to view > workbench > Drawing. This will open the drawing sheet. 3 Now, select the object click on insert button to insert the drawing view of object. This will insert the page of drawing sheet. Select the object and click on button and this will insert the part object in the drawing view. Now click on view to insert the the object in drawing sheet. Guru Nanak Dev Engineering College diljot6791@wordpress.com
  38. 38. freeCAD How to show object in drawing sheet Installation Drawing sheet of object freeCAD Drawing sheet of bottle pyhton scripts Drawing sheet of table Drawing sheet python script to change 3D object to 2D on DrawingHow to show object in drawing sheet in freeCAD Drawing sheet 1 Firsty, to show the drawing view open the script in freeCAD and run it. 2 Go to view > workbench > Drawing. This will open the drawing sheet. 3 Now, select the object click on insert button to insert the drawing view of object. This will insert the page of drawing sheet. Select the object and click on button and this will insert the part object in the drawing view. Now click on view to insert the the object in drawing sheet. Guru Nanak Dev Engineering College diljot6791@wordpress.com
  39. 39. freeCAD How to show object in drawing sheet Installation Drawing sheet of object freeCAD Drawing sheet of bottle pyhton scripts Drawing sheet of table Drawing sheet python script to change 3D object to 2D on Drawingdrawing sheet in freeCAD Drawing sheet 4 To change the scale, click on scale button in the combo view and change the size of the object according to your requirment. 5 To change the rotation, click on rotation button in combo view and change the coordinates of x,y,z in combo view. Guru Nanak Dev Engineering College diljot6791@wordpress.com
  40. 40. freeCAD How to show object in drawing sheet Installation Drawing sheet of object freeCAD Drawing sheet of bottle pyhton scripts Drawing sheet of table Drawing sheet python script to change 3D object to 2D on Drawingdrawing sheet in freeCAD Drawing sheet 4 To change the scale, click on scale button in the combo view and change the size of the object according to your requirment. 5 To change the rotation, click on rotation button in combo view and change the coordinates of x,y,z in combo view. Guru Nanak Dev Engineering College diljot6791@wordpress.com
  41. 41. freeCAD How to show object in drawing sheet Installation Drawing sheet of object freeCAD Drawing sheet of bottle pyhton scripts Drawing sheet of table Drawing sheet python script to change 3D object to 2D on Drawingdrawing sheet in freeCAD Drawing sheet 4 To change the scale, click on scale button in the combo view and change the size of the object according to your requirment. 5 To change the rotation, click on rotation button in combo view and change the coordinates of x,y,z in combo view. Guru Nanak Dev Engineering College diljot6791@wordpress.com
  42. 42. freeCAD How to show object in drawing sheet Installation Drawing sheet of object freeCAD Drawing sheet of bottle pyhton scripts Drawing sheet of table Drawing sheet python script to change 3D object to 2D on Drawing Figure: Drawing view of objectGuru Nanak Dev Engineering College diljot6791@wordpress.com
  43. 43. freeCAD How to show object in drawing sheet Installation Drawing sheet of object freeCAD Drawing sheet of bottle pyhton scripts Drawing sheet of table Drawing sheet python script to change 3D object to 2D on Drawing Figure: Drawing view of bottleGuru Nanak Dev Engineering College diljot6791@wordpress.com
  44. 44. freeCAD How to show object in drawing sheet Installation Drawing sheet of object freeCAD Drawing sheet of bottle pyhton scripts Drawing sheet of table Drawing sheet python script to change 3D object to 2D on Drawing Figure: Drawing view of tableGuru Nanak Dev Engineering College diljot6791@wordpress.com
  45. 45. freeCAD How to show object in drawing sheet Installation Drawing sheet of object freeCAD Drawing sheet of bottle pyhton scripts Drawing sheet of table Drawing sheet python script to change 3D object to 2D on Drawing Any Question?Guru Nanak Dev Engineering College diljot6791@wordpress.com
  46. 46. freeCAD How to show object in drawing sheet Installation Drawing sheet of object freeCAD Drawing sheet of bottle pyhton scripts Drawing sheet of table Drawing sheet python script to change 3D object to 2D on DrawingThank YouDiljot Kaur95011 Guru Nanak Dev Engineering College diljot6791@wordpress.com
  1. A particular slide catching your eye?

    Clipping is a handy way to collect important slides you want to go back to later.

×